File: changelog

package info (click to toggle)
gp2c 0.0.11pl4-1
  • links: PTS
  • area: main
  • in suites: bullseye, sid
  • size: 2,816 kB
  • sloc: ansic: 8,587; sh: 1,606; lex: 346; yacc: 226; makefile: 107
file content (247 lines) | stat: -rw-r--r-- 7,067 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
gp2c (0.0.11pl4-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Bump Standard-Version to 4.5.0
    - Build-Depends on debhelper-compat (= 12)
  * debian/compat: removed

 -- Bill Allombert <ballombe@debian.org>  Fri, 22 May 2020 22:50:40 +0200

gp2c (0.0.11pl3-1) unstable; urgency=medium

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Thu, 05 Mar 2020 21:52:12 +0000

gp2c (0.0.11pl2-3) unstable; urgency=medium

  * Experimental conversion to dh.
    - This should fix support for nocheck. Closes: #932661
    - This creates a new package pari-gp2c-dbgsym.

 -- Bill Allombert <ballombe@debian.org>  Sat, 03 Aug 2019 13:27:09 +0200

gp2c (0.0.11pl2-2) unstable; urgency=medium

  * Source-only upload

 -- Bill Allombert <ballombe@debian.org>  Fri, 12 Jul 2019 12:17:45 +0200

gp2c (0.0.11pl2-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Bump Standard-Version to 4.4.0

 -- Bill Allombert <ballombe@debian.org>  Mon, 08 Jul 2019 22:41:30 +0200

gp2c (0.0.11pl1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch, debian/upstream/signing-key.asc
    - use pgpsigurlmangle to check signature
  * debian/control:
    - Bump Standard-Version to 4.2.1

 -- Bill Allombert <ballombe@debian.org>  Fri, 26 Oct 2018 18:12:01 +0200

gp2c (0.0.11-1) unstable; urgency=medium

  * New upstream release
  * debian/control: This version is targeted toward PARI 2.11
    - update versioned Depends/Build-depends on libpari-dev and pari-gp.
    - Bump Standard-Version to 4.2.0

 -- Bill Allombert <ballombe@debian.org>  Wed, 08 Aug 2018 14:17:00 +0200

gp2c (0.0.10pl1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standard-Version to 4.1.1
  * debian/control, debian/compat: move to debhelper v9

 -- Bill Allombert <ballombe@debian.org>  Sun, 22 Oct 2017 17:04:07 +0200

gp2c (0.0.10-1) unstable; urgency=medium

  * New upstream release
  * debian/control: This version is targeted toward PARI 2.9
    - update versioned Depends/Build-depends on libpari-dev and pari-gp.
    - Replace Recommends by Suggests: pari-gp-dbgsym

 -- Bill Allombert <ballombe@debian.org>  Thu, 03 Nov 2016 00:27:02 +0100

gp2c (0.0.9pl5-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Version to 3.9.7

 -- Bill Allombert <ballombe@debian.org>  Wed, 22 Jun 2016 18:30:25 +0200

gp2c (0.0.9pl4-1) unstable; urgency=low

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Sun, 22 Nov 2015 00:21:42 +0100

gp2c (0.0.9pl3-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Version to 3.9.6

 -- Bill Allombert <ballombe@debian.org>  Tue, 28 Apr 2015 15:40:13 +0200

gp2c (0.0.9pl2-1) unstable; urgency=low

  * New upstream release
   - This release fix mismatching prototypes.  Thanks Michael Tautschnig.
     Closes: #748091
  * debian/rules:
    - use dh_prep instead of dh_clean -k

 -- Bill Allombert <ballombe@debian.org>  Tue, 22 Jul 2014 14:01:01 +0200

gp2c (0.0.9pl1-1) unstable; urgency=low

  * New upstream release
    - This release fixes a test-suite error on 32bit systems.

 -- Bill Allombert <ballombe@debian.org>  Fri, 18 Apr 2014 12:15:35 +0200

gp2c (0.0.9-1) unstable; urgency=low

  * New upstream release
  * debian/control: This version is targeted toward PARI 2.7
    - update versionned Depends/Build-depends on libpari-dev and pari-gp.
  * debian/rules: look for pari.cfg in multi-arch path

 -- Bill Allombert <ballombe@debian.org>  Thu, 17 Apr 2014 12:52:46 +0200

gp2c (0.0.8pl1-1) unstable; urgency=low

  * New upstream release.
  * This release adds support for multiarch.
  * Bump Standard-Version to 3.9.5
  * debian/copyright:
    - Update copyright notice

 -- Bill Allombert <ballombe@debian.org>  Tue, 04 Mar 2014 11:23:10 +0000

gp2c (0.0.8-1) unstable; urgency=low

  * New upstream release
  * Move to new source format 3.0 (quilt). No patches applied.
  * debian/rules:
    - Set LDFLAGS to -Wl,-z,relro

 -- Bill Allombert <ballombe@debian.org>  Wed, 25 Sep 2013 14:05:55 +0200

gp2c (0.0.7pl5-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Version to 3.9.4

 -- Bill Allombert <ballombe@debian.org>  Sat, 25 May 2013 18:49:25 +0200

gp2c (0.0.7pl3-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Version to 3.9.2

 -- Bill Allombert <ballombe@debian.org>  Wed, 23 May 2012 15:26:59 +0200

gp2c (0.0.7pl2-1) unstable; urgency=low

  * New upstream release
  * debian/rules, debian/control:
    - Build-depends on libpari-dev >= 2.5.1 for pari.cfg.dbg
    - Use pari.cfg.dbg for better gp2c-dbg support

 -- Bill Allombert <ballombe@debian.org>  Wed, 22 Feb 2012 10:07:40 +0100

gp2c (0.0.7pl1-1) unstable; urgency=low

  * New upstream release
  * debian/control: This version is targeted toward PARI 2.5
    - update versionned Depends/Build-depends on libpari-dev and pari-gp.

 -- Bill Allombert <ballombe@debian.org>  Sun, 09 Oct 2011 13:23:17 +0200

gp2c (0.0.6-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Version to 3.9.2

 -- Bill Allombert <ballombe@debian.org>  Mon, 06 Jun 2011 13:43:44 +0200

gp2c (0.0.5pl10-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Version to 3.9.1

 -- Bill Allombert <ballombe@debian.org>  Tue, 15 Feb 2011 13:03:52 +0100

gp2c (0.0.5pl9-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Version to 3.8.4

 -- Bill Allombert <ballombe@debian.org>  Wed, 03 Mar 2010 12:02:38 +0100

gp2c (0.0.5pl8-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Version to 3.8.2
  * Bump debhelper compat version to 5.
  * Move doc-base menu entries to Science/Mathematics.

 -- Bill Allombert <ballombe@debian.org>  Sun, 28 Jun 2009 17:09:34 +0200

gp2c (0.0.5pl6-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Version to 3.7.3

 -- Bill Allombert <ballombe@debian.org>  Sat, 19 Jan 2008 20:20:33 +0100

gp2c (0.0.5pl5-1) unstable; urgency=low

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Thu, 27 Sep 2007 21:07:38 +0200

gp2c (0.0.5pl4-1) unstable; urgency=low

  * New upstream release
  * Remove now useless Build-Depends on flex.

 -- Bill Allombert <ballombe@debian.org>  Thu,  7 Jun 2007 11:58:52 +0200

gp2c (0.0.5pl3-1) unstable; urgency=low

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Fri, 13 Apr 2007 15:16:47 +0200

gp2c (0.0.5pl2-1) unstable; urgency=low

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Sun, 17 Sep 2006 19:09:21 +0200

gp2c (0.0.5pl1-1) unstable; urgency=low

  * New upstream release
  * Build-Depends on flex to work around a bug in autoconf. Closes: #375818.
  * Bump versionned Build-Depends on libpari-dev to (>= 2.3.0-2) to avoid a
    useless dependency on libgmp3-dev.

 -- Bill Allombert <ballombe@debian.org>  Thu, 29 Jun 2006 23:16:46 +0200

gp2c (0.0.5-1) unstable; urgency=low

  * Initial Release. Closes: #368371.

 -- Bill Allombert <ballombe@debian.org>  Fri, 16 Jun 2006 17:28:59 +0200